#include "K40SecurityCorridor.h"

class AKiller;
class ASurvivor;
class AK40SecurityCorridorSurvivorCameraDolly;

void AK40SecurityCorridor::TriggerJumpScareAsKiller_Implementation()
{

}

void AK40SecurityCorridor::TriggerJumpScare_Implementation()
{

}

void AK40SecurityCorridor::StopKillerCorridorSequence_Implementation()
{

}

void AK40SecurityCorridor::StopJumpScareAsKiller_Implementation()
{

}

void AK40SecurityCorridor::StopCorridorSequence_Implementation()
{

}

void AK40SecurityCorridor::StartKillerCorridorSequence_Implementation(AKiller* killer)
{

}

void AK40SecurityCorridor::StartCorridorSequence_Implementation(ASurvivor* survivor)
{

}

bool AK40SecurityCorridor::IsJumpscarePlaying() const
{
	return false;
}

bool AK40SecurityCorridor::IsCorridorSequencePlaying() const
{
	return false;
}

AK40SecurityCorridorSurvivorCameraDolly* AK40SecurityCorridor::GetSurvivorCameraDolly() const
{
	return NULL;
}

AK40SecurityCorridor::AK40SecurityCorridor()
{
	this->_isCorridorSequencePlaying = false;
	this->_isJumpscarePlaying = false;
	this->_worldElementsVisibility = true;
	this->_internalElementsVisibility = false;
	this->_survivorCameraDollyClassToSpawn = NULL;
	this->_killerCameraDollyClassToSpawn = NULL;
	this->_lightingThemeName = TEXT("K40 Power Security Office");
}
